Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.mainframe
Class MainFrame

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          info.bioinfweb.treegraph.gui.mainframe.MainFrame

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Runnable, Accessible, RootPaneContainer, WindowConstants

    public class MainFrame

extends JFrame
implements Runnable

The main frame of TreeGraph 2.

Author:
  Ben Stöver
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JFrame
`JFrame.AccessibleJFrame`

Nested classes/interfaces inherited from class java.awt.Frame
`Frame.AccessibleAWTFrame`

Nested classes/interfaces inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`private ActionManagement` | `actionManagement`
`private info.webinsel.util.swing.ExtendedDesktopPane` | `desktopPane`
`private JMenu` | `editMenu`
`private JMenu` | `fileMenu`
`private static MainFrame` | `firstInstance`
`private JMenu` | `formatMenu`
`private JMenu` | `helpMenu`
`private JPanel` | `jContentPane`
`private JMenuBar` | `mainMenu`
`private JMenu` | `newMenu`
`private JMenu` | `nodeBranchDataMenu`
`private JMenu` | `redoMenu`
`private JMenu` | `selectMenu`
`private static long` | `serialVersionUID`
`private JPanel` | `toolBarPanel`
`private JMenu` | `undoMenu`
`private JMenu` | `viewMenu`
`private static int` | `WINDOW_MENU_ITEMS_COUNT`
`private WindowListener` | `windowListener`
`private JMenu` | `windowMenu`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`private` | `MainFrame()` This is the default constructor

Method Summary
`TreeInternalFrame` | `addInternalFrame(Document document)`
`void` | `addInternalFrame(JInternalFrame iFrame)`
`void` | `cascadeInternalFrames()`
`void` | `close()` Asks the user whether to save all opened documents and closes the application if the user did not cancel the process.
`ActionManagement` | `getActionManagement()`
`TreeInternalFrame` | `getActiveTreeFrame()` Returns the currently avctive Frame where a tree is displayed.
`private info.webinsel.util.swing.ExtendedDesktopPane` | `getDesktopPane()` This method initializes desktopPane
`private JMenu` | `getEditMenu()` This method initializes editMenu
`private JMenu` | `getFileMenu()` This method initializes fileMenu
`private JMenu` | `getFormatMenu()` This method initializes formatMenu
`private JMenu` | `getHelpMenu()` This method initializes helpMenu
`static MainFrame` | `getInstance()`
`TreeInternalFrame` | `getInternalFrameByFile(File file)`
`private JPanel` | `getJContentPane()` This method initializes jContentPane
`private JMenuBar` | `getMainMenu()` This method initializes mainMenu
`private JMenu` | `getNewMenu()` This method initializes newMenu
`private JMenu` | `getNodeBranchDataMenu()` This method initializes nodeBranchDataMenu
`JMenu` | `getRedoMenu()` This method initializes redoMenu
`private JMenu` | `getSelectMenu()` This method initializes selectMenu
`private JPanel` | `getToolBarPanel()` This method initializes toolBarPanel
`JMenu` | `getUndoMenu()` This method initializes undoMenu
`private JMenu` | `getViewMenu()` This method initializes viewMenu
`private WindowListener` | `getWindowListener()`
`private JMenu` | `getWindowMenu()` This method initializes windowMenu
`private void` | `initialize()` This method initializes this
`private void` | `loadIcons()`
`private void` | `openInitialFile()`
`void` | `run()`
`JInternalFrame` | `selectFrame(boolean forward)`
`void` | `tileInternalFramesHorizontal()`
`void` | `tileInternalFramesVertical()`
`void` | `updateMenues()`
`private void` | `updateWindowMenu()`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### WINDOW_MENU_ITEMS_COUNT

    private static final int WINDOW_MENU_ITEMS_COUNT

See Also:
  Constant Field Values

### firstInstance

    private static MainFrame firstInstance

### actionManagement

    private ActionManagement actionManagement

### windowListener

    private WindowListener windowListener

### mainMenu

    private JMenuBar mainMenu

### fileMenu

    private JMenu fileMenu

### editMenu

    private JMenu editMenu

### viewMenu

    private JMenu viewMenu

### helpMenu

    private JMenu helpMenu

### jContentPane

    private JPanel jContentPane

### desktopPane

    private info.webinsel.util.swing.ExtendedDesktopPane desktopPane

### windowMenu

    private JMenu windowMenu

### formatMenu

    private JMenu formatMenu

### selectMenu

    private JMenu selectMenu

### toolBarPanel

    private JPanel toolBarPanel

### undoMenu

    private JMenu undoMenu

### redoMenu

    private JMenu redoMenu

### newMenu

    private JMenu newMenu

### nodeBranchDataMenu

    private JMenu nodeBranchDataMenu

Constructor Detail

### MainFrame

    private MainFrame()

  This is the default constructor

Method Detail

### getInstance

    public static MainFrame getInstance()

### openInitialFile

    private void openInitialFile()

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### close

    public void close()

  Asks the user whether to save all opened documents and closes the application if the user did not cancel the process.

### addInternalFrame

    public void addInternalFrame(JInternalFrame iFrame)

### addInternalFrame

    public TreeInternalFrame addInternalFrame(Document document)

### getActiveTreeFrame

    public TreeInternalFrame getActiveTreeFrame()

  Returns the currently avctive Frame where a tree is displayed.

  Returns:
    the tree or null of no frame is active or the active frame is not of type `TreeInternalFrame`.

### selectFrame

    public JInternalFrame selectFrame(boolean forward)

### getInternalFrameByFile

    public TreeInternalFrame getInternalFrameByFile(File file)

### tileInternalFramesVertical

    public void tileInternalFramesVertical()

### tileInternalFramesHorizontal

    public void tileInternalFramesHorizontal()

### cascadeInternalFrames

    public void cascadeInternalFrames()

### getActionManagement

    public ActionManagement getActionManagement()

### updateWindowMenu

    private void updateWindowMenu()

### updateMenues

    public void updateMenues()

### initialize

    private void initialize()

  This method initializes this

### loadIcons

    private void loadIcons()

### getWindowListener

    private WindowListener getWindowListener()

### getMainMenu

    private JMenuBar getMainMenu()

  This method initializes mainMenu

  Returns:
    javax.swing.JMenuBar

### getFileMenu

    private JMenu getFileMenu()

  This method initializes fileMenu

  Returns:
    javax.swing.JMenu

### getEditMenu

    private JMenu getEditMenu()

  This method initializes editMenu

  Returns:
    javax.swing.JMenu

### getViewMenu

    private JMenu getViewMenu()

  This method initializes viewMenu

  Returns:
    javax.swing.JMenu

### getHelpMenu

    private JMenu getHelpMenu()

  This method initializes helpMenu

  Returns:
    javax.swing.JMenu

### getJContentPane

    private JPanel getJContentPane()

  This method initializes jContentPane

  Returns:
    javax.swing.JPanel

### getDesktopPane

    private info.webinsel.util.swing.ExtendedDesktopPane getDesktopPane()

  This method initializes desktopPane

  Returns:
    javax.swing.JDesktopPane

### getWindowMenu

    private JMenu getWindowMenu()

  This method initializes windowMenu

  Returns:
    javax.swing.JMenu

### getFormatMenu

    private JMenu getFormatMenu()

  This method initializes formatMenu

  Returns:
    javax.swing.JMenu

### getSelectMenu

    private JMenu getSelectMenu()

  This method initializes selectMenu

  Returns:
    javax.swing.JMenu

### getToolBarPanel

    private JPanel getToolBarPanel()

  This method initializes toolBarPanel

  Returns:
    javax.swing.JPanel

### getUndoMenu

    public JMenu getUndoMenu()

  This method initializes undoMenu

  Returns:
    javax.swing.JMenu

### getRedoMenu

    public JMenu getRedoMenu()

  This method initializes redoMenu

  Returns:
    javax.swing.JMenu

### getNewMenu

    private JMenu getNewMenu()

  This method initializes newMenu

  Returns:
    javax.swing.JMenu

### getNodeBranchDataMenu

    private JMenu getNodeBranchDataMenu()

  This method initializes nodeBranchDataMenu

  Returns:
    javax.swing.JMenu

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD